<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
$id = num($_GET['id']);
$us = DB::$dbs->queryFetch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($id));

if(!$us){
	header('location:?id='.$user['id']);
	exit();
}
//
//
$rune_name = array('Отсутствует','Обычная','Редкая','Эпическая','Легендарная','Мифическая','Божественная');
//
//
if(isset($_GET['close_item'])){
	$id2 = abs(intval($_GET['close_item']));

	$item2 = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],1,$id2));
$count_bag = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."'")->rowCount(); 
	if(!$item2){
		header('location:?id='.$us['id']);
		exit();
	}
	if($count_bag >= 30){
		err2("У вас недостаточно места в рюкзаке, для того чтобы снять вещь");
		header('location:?id='.$us['id']);
		exit();
	}

	DB::$dbs->query("UPDATE `users` SET `power` = `power` - ?, `def` = `def` - ?, `hp` = `hp` - ? WHERE `id` = ? LIMIT 1", array($item2['power'],$item2['def'],$item2['hp'],$user['id']));
	DB::$dbs->query("UPDATE `inv` SET `yes` = ? WHERE `id` = ? LIMIT 1", array(0,$item2['id']));
	ok2("Вещь успешно снята");
	header('location:?id='.$us['id']);
	exit();
}
//
//
$title_item = array('','Обычное','Редкое','Эпическое','Легендарное','Мифическое','Божественное');
//
//
if(isset($_GET['item'])){
	$id = abs(intval($_GET['item']));
	$item = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($us['id'],1,$id));

	if(!$item){
		header('location:?');
		exit();
	}

	$inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($item['type'],1,$user['id']));


	$param_1 = ($inv['power']+$inv['def']+$inv['hp']);
	$param_2 = ($item['power']+$item['def']+$item['hp']);

	if($param_1 > $param_2){
		$param = "<font color='red'>(-".($param_1-$param_2).")</font>";
	}
	elseif($param_1 < $param_2){
		$param = "<font color='lime'>(+".($param_2-$param_1).")</font>";
	}
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Снаряжение - <?=$us['name'];?></span>
		        </center>
		        
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$item['set'];?>/<?=$item['type'];?>.png" width="40" height="40">
    </div> 
    <u><font color="<?=$color[$item['set']];?>"><?=$item['name'];?></font></u>
    <br>
    <img src="/css/img/icon_str.png"> <?=$item['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$item['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$item['hp'];?> 
    <small><?=$param;?></small>
    <div class="stats2">
	</div>
	<font color="#999999">Качество:</font> <?=$title_item[$item['set']];?><br>
	<font color="#999999">Руна:</font> <font color="<?=$color[$item['rune']];?>"><?=$rune_name[$item['rune']];?></font><br>
	<font color="#999999">Заточка:</font> <?=$item['smitch'];?><br>
	<div class="stats2">
	</div>
	<img src="/css/img/icon_str.png"> <font color="#999999">Сила:</font> <?=$item['power'];?><br> 
    <img src="/css/img/icon_def.png"> <font color="#999999">Защита:</font> <?=$item['def'];?><br> 
    <img src="/css/img/icon_hp.png"> <font color="#999999">Здоровье:</font> <?=$item['hp'];?><br> 
    </div>
    <?
    if($us['id'] == $user['id']){
    ?>
    <a href="/item/?id=<?=$us['id'];?>&close_item=<?=$item['id'];?>" class="click">Снять вещь</a>
    <div class="stats2">
    <?
    }
    ?>
	</div>
	<center><a href="/item/?id=<?=$us['id'];?>">Вернуться назад</a></center>
	</div>
	</div>
<?

	foot([]);
	exit();
}
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Снаряжение - <?=$us['name'];?></span>
		        </center>
		        <?
		        
		        for($i=1;$i<=8;$i++) {

	$im = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($i,1,$us['id']));
	$inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($i,1,$user['id']));

	$param_2 = $im['power']+$im['def']+$im['hp'];
	$param_1 = $inv['power']+$inv['def']+$inv['hp'];

	if($param_1 > $param_2){
		$param = "<font color='red'>(-".($param_1-$param_2).")</font>";
	}
	elseif($param_1 < $param_2){
		$param = "<font color='lime'>(+".($param_2-$param_1).")</font>";
	}



	if($im){

?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$im['set'];?>/<?=$im['type'];?>.png" width="40" height="40">
    </div> 
    <a href="?id=<?=$us['id'];?>&item=<?=$im['id'];?>">
    <u><font color="<?=$color[$im['set']];?>"><?=$im['name'];?></font></u>
    </a>
    <br>
    <img src="/css/img/icon_str.png"> <?=$im['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$im['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$im['hp'];?> 
    <small><?=$param;?></small>
    </div>
    <?
    if($us['id'] == $user['id']){
    ?>
    <a href="?id=<?=$us['id'];?>&close_item=<?=$im['id'];?>" class="click">Снять вещь</a>
	<div class="stats2"></div>	
<?
}

	}else{
?>
    <div class="menu-not2">
    <font color="#999999">
    Вещь отсутствует
    </font>
    </div>
	<div class="stats2"></div>
<?
	}

}

		        
		        ?>
		        	<center><a href="/profile/<?=$us['id'];?>">Вернуться назад</a></center>
		        </div>
		        </div>
<?
//
//
foot([]);
//
//
?>